Index: mcc216/build.sh
===================================================================
--- mcc216/build.sh	(revision 426)
+++ mcc216/build.sh	(revision 427)
@@ -132,14 +132,15 @@
 		$vga = 0;
 	}
 	
-	#TODO - generate automated version number
-	my $version = `svn info  | grep Revision: | cut -d' ' -f 2`;
-	chomp $version;
-	$version = `date +%y%m`;
-	my $version2 = `date +%d`;
-	chomp $version;
-	chomp $version2;
-	my $cmd = "wine ../rbf2arg/rbf2arg.exe $vga A $version.$version2 \"Atari 800XL $variant\" output_files/atari800core.rbf output_files/atari800core_$variant.arg";
+	##TODO - generate automated version number
+	#my $version = `svn info  | grep Revision: | cut -d' ' -f 2`;
+	#chomp $version;
+	#$version = `date +%y%m`;
+	#my $version2 = `date +%d`;
+	#chomp $version;
+	#chomp $version2;
+	my $version = `../../mcc_common/version.pl`;
+	my $cmd = "wine ../rbf2arg/rbf2arg.exe $vga A $version \"Atari 800XL $variant\" output_files/atari800core.rbf output_files/atari800core_$variant.arg";
 	print "Running $cmd\n";
 	`$cmd`;
 	
Index: mcc216_5200/build.sh
===================================================================
--- mcc216_5200/build.sh	(revision 426)
+++ mcc216_5200/build.sh	(revision 427)
@@ -106,13 +106,15 @@
 	}
 	
 	#TODO - generate automated version number
-	my $version = `svn info  | grep Revision: | cut -d' ' -f 2`;
-	chomp $version;
-	$version = `date +%y%m`;
-	my $version2 = `date +%d`;
-	chomp $version;
-	chomp $version2;
-	my $cmd = "wine ../rbf2arg/rbf2arg.exe $vga A $version.$version2 \"Atari 5200 $variant\" output_files/atari5200core.rbf output_files/atari5200core_$variant.arg";
+	#my $version = `svn info  | grep Revision: | cut -d' ' -f 2`;
+	#chomp $version;
+	#$version = `date +%y%m`;
+	#my $version2 = `date +%d`;
+	#chomp $version;
+	#chomp $version2;
+
+	my $version = `../../mcc_common/version.pl`;
+	my $cmd = "wine ../rbf2arg/rbf2arg.exe $vga A $version \"Atari 5200 $variant\" output_files/atari5200core.rbf output_files/atari5200core_$variant.arg";
 	print "Running $cmd\n";
 	`$cmd`;
 	
Index: mcctv/build.sh
===================================================================
--- mcctv/build.sh	(revision 426)
+++ mcctv/build.sh	(revision 427)
@@ -87,14 +87,15 @@
 		$vga = 0;
 	}
 	
-	#TODO - generate automated version number
-	my $version = `svn info  | grep Revision: | cut -d' ' -f 2`;
-	chomp $version;
-	$version = `date +%y%m`;
-	my $version2 = `date +%d`;
-	chomp $version;
-	chomp $version2;
-	my $cmd = "wine ../rbf2arg/rbf2arg.exe 2 A $version.$version2 \"Atari 800XL $variant\" output_files/atari800core.rbf output_files/atari800core_$variant.arg";
+	##TODO - generate automated version number
+	#my $version = `svn info  | grep Revision: | cut -d' ' -f 2`;
+	#chomp $version;
+	#$version = `date +%y%m`;
+	#my $version2 = `date +%d`;
+	#chomp $version;
+	#chomp $version2;
+	my $version = `../../mcc_common/version.pl`;
+	my $cmd = "wine ../rbf2arg/rbf2arg.exe 2 A $version \"Atari 800XL $variant\" output_files/atari800core.rbf output_files/atari800core_$variant.arg";
 	print "Running $cmd\n";
 	`$cmd`;
 	
Index: mcctv_5200/build.sh
===================================================================
--- mcctv_5200/build.sh	(revision 426)
+++ mcctv_5200/build.sh	(revision 427)
@@ -77,14 +77,15 @@
 		$vga = 0;
 	}
 	
-	#TODO - generate automated version number
-	my $version = `svn info  | grep Revision: | cut -d' ' -f 2`;
-	chomp $version;
-	$version = `date +%y%m`;
-	my $version2 = `date +%d`;
-	chomp $version;
-	chomp $version2;
-	my $cmd = "wine ../rbf2arg/rbf2arg.exe 2 A $version.$version2 \"Atari 5200 $variant\" output_files/atari5200core.rbf output_files/atari5200core_$variant.arg";
+	##TODO - generate automated version number
+	#my $version = `svn info  | grep Revision: | cut -d' ' -f 2`;
+	#chomp $version;
+	#$version = `date +%y%m`;
+	#my $version2 = `date +%d`;
+	#chomp $version;
+	#chomp $version2;
+	my $version = `../../mcc_common/version.pl`;
+	my $cmd = "wine ../rbf2arg/rbf2arg.exe 2 A $version \"Atari 5200 $variant\" output_files/atari5200core.rbf output_files/atari5200core_$variant.arg";
 	print "Running $cmd\n";
 	`$cmd`;
 	
